import { ElementType } from 'react';
import { useTitle } from '../../hooks';
import { IndexSignature } from '../../utils';

export const WithHocTitle = (Component: ElementType, title?: string) => {
  return function WithHocTitleComponent(props: IndexSignature) {
    useTitle(title);

    return (
      <Component
        {...props}
      />
    );
  };
};
